@echo off
rem Print a message on specific days using "daysleft"
rem Pass the date on the command line!
rem
rem Create files like "25.day", "5.day", etc with messages
rem
rem First, create an input file for daysleft that we'll use
rem (two % signs below put one % in the file cntdown.txt)
echo set days=%%d >cntdown.txt
rem Now, run daysleft to turn this into a batch file
daysleft %1 cntdown.txt >temp.bat
rem Now, call this batch file, which will set an environment variable
call temp
del temp.bat
rem The environment variable "days" has the number of days left.
rem If a file exists with this number in it's name, display it
if exist %days%.day type %days%.day
rem clear out our environment variable
set days=
del cntdown.txt
rem That's all folks!
