@echo off
:Start
if not exist DMCOPY.EXE goto WrongDisk
echo Loading...
dmcopy.exe
if errorlevel 2  if not errorlevel 3 goto EndOnError
if errorlevel 3 if not errorlevel 4 goto EndOnEscape
CLS
echo                    Diskette Manager 3 Installation Program
echo                    
echo 
echo INSTALL will now run the Printer Installation program (LABEL.COM).  This
echo program will configure Diskette Manager 3, by presenting a list of printers
echo for you to choose from.  If you do not see your printer specifically listed
echo select the one that most closely emulates your printer.  Refer to your
echo printer's manual for information on what models it may emulate.
echo 
echo Press a key to see the list of printers or ESCAPE to abort...
WAIT 
if errorlevel 0 if not errorlevel 1 goto RunLabel
if errorlevel 1 if not errorlevel 2 goto EndOnEscape
:RunLabel
CLS
LABEL
echo 
echo Installation complete!
echo 
echo If an error message was displayed correct the problem and run INSTALL
echo again before attempting to use Diskette Manager 3.  Otherwise, remove
echo the Diskette Manager 3 program disk from the floppy drive and store it
echo in a safe place.
echo 
echo To start using Diskette Manager 3, type DM.
goto End
:WrongDisk
cls
echo The INSTALL program cannot find the necessary files on the disk in the
echo default drive.  Insert the Diskette Manager 3 program disk in the floppy
echo drive, log onto that drive, and then type INSTALL.
goto End
goto Start
:EndOnError
echo 
echo Installation aborted on error.  Diskette Manager 3 may not work properly.
echo Run INSTALL again after correcting the error
goto End
:EndOnEscape
echo 
echo User requested abort. Diskette Manager 3 not installed.
echo Run INSTALL again before running Diskette Manager 3.
:End
echo 
