ECHO OFF
REM
REM **************************************************************************
REM 01-06-92  VER 1.2           INSTALL.BAT
REM 
REM PURPOSE:    Batch file for installing FPK
REM EXAMPLE:    INSTALL C
REM **************************************************************************
CLS
REM Check for hard drive parameter.
:firstcheck
IF x%1x == xx GOTO NO-DRIVE
GOTO conthard
:NO-Drive
ECHO ͻ
ECHO                                                                      
ECHO   - You did not specify the Install Hard Disk drive (i.e  C or D)    
ECHO                                                                      
ECHO         Example: INSTALL C                                           
ECHO                                                                      
ECHO   - This Install has been Cancelled, Restart Install.                
ECHO                                                                      
ECHO ͼ
GOTO END
REM 
:conthard
REM
CLS
ECHO ͻ
ECHO           Football Pool keeper (FPK) Installation Program            
ECHO ĺ
ECHO                                                                      
ECHO   - A Working Copy of FPK will be Installed into Directory %1:\FPK.   
ECHO     If this Directory does not exist it will be created.             
ECHO                                                                      
ECHO   - Make sure you Started this Install from an A or B Prompt.        
ECHO     Insert Disk/s into which ever Drive you are Installing from.     
ECHO                                                                      
IF NOT EXIST %1:\FPK\WKCU01.DAT GOTO NOWKCU01
ECHO   - Because there is a Pool Data Base File (WKCU01.DAT) present in   
ECHO     %1:\FPK it will NOT be Installed. This means Your Pool # 1        
ECHO     Data Base Data will not be affected by this Install.             
ECHO                                                                      
:NOWKCU01
IF NOT EXIST SCHLIST.SCH GOTO NOSCHEDULE
ECHO   * NOTE:  There are Schedule Install Files on Install Disk 1.       
ECHO            When you are finished with this Install Please read the   
ECHO            README.1ST file for Schedule Loading Procedures.          
ECHO                                                                      
:NOSCHEDULE
ECHO     ** Make sure you have the Install Disk 1 Inserted **             
ECHO                                                                      
ECHO ͹
ECHO     To CANCEL this Install press CTRL-BREAK.                         
ECHO ͼ
REM
REM
:JUMP1
PAUSE
IF EXIST FPKF1.ZIP GOTO JUMP2
CLS
ECHO ͻ
ECHO   You do not have Install Disk 1 Inserted.......                     
ECHO                                                                      
ECHO   OR If You do have Install Disk 1 Inserted:                         
ECHO                                                                      
ECHO   - Make sure you Started this Install from an A or B Prompt.        
ECHO     If you did NOT press CTRL-BREAK to Cancel this Install.          
ECHO ͼ
GOTO JUMP1
REM 
REM  
:JUMP2
MKDIR %1:\FPK >NUL                  
CLS
ECHO Installing files Step 1 of 2 .......
COPY README.1ST %1:\FPK\README.1ST
COPY %1:\FPK\README.1ST PATH.CHK
IF EXIST PATH.CHK GOTO JUMP3
CLS
ECHO ͻ
ECHO                                                                      
ECHO   - There is a PROBLEM Installing FPK on Hard Drive %1:               
ECHO                                                                      
ECHO   - Did you specify a Hard Drive that you have on this PC ?          
ECHO                                                                      
ECHO                            ͻ      ͻ                          
ECHO         Example:  INSTALL   C   or   D                           
ECHO                            ͼ      ͼ                          
ECHO                                                                      
ECHO   - This Install has been Cancelled, Restart Install                 
ECHO                                                                      
ECHO ͼ
GOTO END
REM ENDIF
:JUMP3
DEL PATH.CHK
REM COPY TO HARD SO NECESSARY WORK SPACE IS USED THERE 
COPY FPKF1.ZIP %1:\FPK\FPKF1.ZIP  
PKUNZIP  -o  %1:\FPK\FPKF1.ZIP %1:\FPK\  
DEL %1:\FPK\FPKF1.ZIP 
REM Install WKCU01.DAT only if NOT Present
IF EXIST %1:\FPK\WKCU01.DAT GOTO HAVEWKCU01
COPY %1:\FPK\DEFAULT.DAT  %1:\FPK\WKCU01.DAT
:HAVEWKCU01
REM
IF NOT EXIST FPKF2.ZIP GOTO DISK2
GOTO PART2
REM
:DISK2
CLS
ECHO ͻ
ECHO           Football Pool keeper (FPK) Installation Program            
ECHO ĺ
ECHO                                                                      
ECHO   ** Insert Install Disk 2 **                                        
ECHO                                                                      
ECHO ͹
ECHO   To CANCEL this Install press CTRL-BREAK.                           
ECHO ͼ
:JUMP7
PAUSE
CLS 
IF EXIST FPKF2.ZIP GOTO PART2
ECHO ͻ
ECHO  You do not have Install Disk 2 inserted.......                      
ECHO ͼ
GOTO JUMP7
REM 
:PART2
ECHO Installing files Step 2 of 2 .......
COPY FPKF2.ZIP %1:\FPK\FPKF2.ZIP
PKUNZIP  -o  %1:\FPK\FPKF2.ZIP %1:\FPK\  
DEL %1:\FPK\FPKF2.ZIP 
CLS
ECHO ͻ
ECHO           Football Pool keeper (FPK) Installation Program            
ECHO ĺ
ECHO                                                                      
ECHO        *****  Football Pool Keeper Install is COMPLETE  *****        
ECHO                                                                      
ECHO                                                                      
ECHO        - Please read the README.1ST file for Additional Information  
ECHO          and for Starting FPK DEMO'S.                                
ECHO                                                                      
ECHO ͼ
REM
:END
ECHO ON
