@echo off
:: *** dBAT Light Bar Menu Demo #3 ***
:: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
:START
::c:
::cd \

DBAT %0
goto ENDdBAT

Note: This dBAT example sets the DOS errorlevel based on the selection.
      A major advantage of this type of menu system is that TSRs such
      as EMULATION programs can be loaded from the menu.

Note: If running this batch file from another directory, you must either: 
      1. pass the batch file's full path to dBAT, or
      2. change (in the batch file) to the directory that contains the
         batch file before the line that runs dBAT
         (because dBAT doesn't search the PATH for the batch file to read it)

PROC dBAT

SET CURSOR OFF
SET COLOR TO 31
CLEAR
@ 02,10 TO 04,69 DOUBLE
SET COLOR TO 79
@ 03,12 ?? "                ACME Marketing - Main Menu              "
SET COLOR TO 112
@ 24,00 CLEAR TO 27,79
@ 24,01 ?? "Select Option  Esc=Cancel Menu"
SET COLOR TO 27
@ 06,27 PROMPT "S = Sign-On System 36"
@ 07,27 PROMPT "P = PC-Support"
@ 09,27 PROMPT "1 = Transfer System 36 to PC"
@ 10,27 PROMPT "2 = Transfer PC to System 36"
@ 12,27 PROMPT "F = File Manager"
@ 13,27 PROMPT "W = Word Processor"
@ 15,27 PROMPT "Z = Park Drive"
MENU TO
QUIT
*** uncomment the following line for centering...
*@ 11,00 ?? "012345678901234567890123456789012345678--876543210987654321098765432109876543210"
:ENDdBAT

cls
if errorlevel 7 goto EXIT        Rem Esc
if errorlevel 6 goto PARK        Rem P
if errorlevel 5 goto PCS         Rem E
if errorlevel 4 goto PW          Rem D
if errorlevel 3 goto LOTUS       Rem C
if errorlevel 2 goto PR          Rem B
if errorlevel 1 goto GL          Rem A
goto EXIT

:GL
:: c:
:: cd \gl
:: GL...
echo !!! You selected General Ledger !!!
pause
:: cd \
goto START

:PR
:: c:
:: cd \PR
:: PR...
echo !!! You selected Payroll !!!
pause
:: cd \
goto START

:LOTUS
:: c:
echo !!! You selected Lotus 123 !!!
pause
:: cd \123
:: 123
:: cd \
goto START

:PW
:: c:
:: cd \PW
:: PW
echo !!! You selected Professional Write !!!
pause
:: cd \
goto START

:PCS
:: c:
:: cd \PCS
:: Note: only a batch file menu system can load a TSR from the menu
:: Note: must use CALL when running a batch file to return control to here
:: call LINK36
echo !!! You selected PC Support !!!
pause
:: cd \
goto START

:PARK
cls
PARK
goto END

:EXIT
cls
:END
