@echo off
:: *** dBAT Light Bar Menu Demo #4 ***
:: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
:START
::c:
::cd \

DBAT %0
goto ENDdBAT

Note: This dBAT example sets the DOS errorlevel based on the selection.
      A major advantage of this type of menu system is that TSRs such
      as EMULATION programs can be loaded from the menu.

Note: If running this batch file from another directory, you must either: 
      1. pass the batch file's full path to dBAT, or
      2. change (in the batch file) to the directory that contains the
         batch file before the line that runs dBAT
         (because dBAT doesn't search the PATH for the batch file to read it)

PROC dBAT

SET CURSOR OFF
SET COLOR TO 31
CLEAR
@ 02,10 TO 04,69 DOUBLE
SET COLOR TO 79
@ 03,12 ?? "               ACME Marketing - Main Menu               "

SET COLOR TO 7                  && shadow
@ 07,27 CLEAR TO 18,55

SET COLOR TO 112
@ 24,00 CLEAR TO 27,79
@ 24,01 ?? "+Enter or 1st Letter = Select Option   Esc=Cancel Menu"

@ 06,25 TO 17,53 DOUBLE         && box
@ 07,26 CLEAR TO 16,52
SET COLOR TO 112
SET ICOLOR TO 15
*@ 05,00 ?? "012345678901234567890123456789012345678--876543210987654321098765432109876543210"
@ 07,26 PROMPT " S = Sign-On AS/400        "
@ 08,26 PROMPT " P = PC-Support            "
@ 10,26 PROMPT " 1 = Transfer AS/400 to PC "
@ 11,26 PROMPT " 2 = Transfer PC to AS/400 "
@ 13,26 PROMPT " F = File Manager          "
@ 14,26 PROMPT " W = Word Processor        "
@ 16,26 PROMPT " Z = Park Drive            "
MENU TO
QUIT
*** uncomment the following line for centering...
:ENDdBAT

cls
if errorlevel 8 goto EXIT        Rem Esc
if errorlevel 7 goto PARK
if errorlevel 6 goto PW
if errorlevel 5 goto FM
if errorlevel 4 goto PC2AS4
if errorlevel 3 goto AS42PC
if errorlevel 2 goto PCS
if errorlevel 1 goto AS400
goto EXIT

:AS400
:: c:
:: cd \as400
:: AS400
echo !!! You selected Sign-On AS/400 !!!
pause
:: cd \
goto START

:PCS
:: c:
:: cd \PCS
:: Note: only a batch file menu system can load a TSR from the menu
:: Note: must use CALL when running a batch file to return control to here
:: call LINK36
echo !!! You selected PC Support !!!
pause
:: cd \
goto START

:AS42PC
echo !!! You selected Transfer AS/400 to PC !!!
pause
goto START

:PC2AS4
echo !!! You selected Transfer PC to AS/400 !!!
pause
goto START

:FM
echo !!! You selected File Manager !!!
pause
goto START

:PW
echo !!! You selected Professional Write !!!
pause
goto START

:PARK
cls
PARK
goto END

:EXIT
cls
:END
